/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Initial developer(s): Michel-Ange ANTON
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.webapp.jonasadmin.service.container;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

public class EjbContainersStatisticForm extends ActionForm {

// --------------------------------------------------------- Properties Variables

    private int totalCurrentNumberOfCMPType = 0;
    private int totalCurrentNumberOfSBFType = 0;
    private int currentNumberOfContainer = 0;
    private int totalCurrentNumberOfBMPType = 0;
    private int totalCurrentNumberOfMDBType = 0;
    private int totalCurrentNumberOfSBLType = 0;
    private int totalCurrentNumberOfEntityType = 0;
    private int totalCurrentNumberOfBeanType = 0;
    private boolean ejb3 = false;
// --------------------------------------------------------- Public Methods

    /**
     * Reset all properties to their default values.
     *
     * @param mapping The mapping used to select this instance
     * @param request The servlet request we are processing
     */

    public void reset(ActionMapping mapping, HttpServletRequest request) {
        totalCurrentNumberOfCMPType = 0;
        totalCurrentNumberOfSBFType = 0;
        currentNumberOfContainer = 0;
        totalCurrentNumberOfBMPType = 0;
        totalCurrentNumberOfMDBType = 0;
        totalCurrentNumberOfSBLType = 0;
        totalCurrentNumberOfBeanType = 0;
    }

    /**
     * Validate the properties that have been set from this HTTP request,
     * and return an <code>ActionErrors</code> object that encapsulates any
     * validation errors that have been found.  If no errors are found, return
     * <code>null</code> or an <code>ActionErrors</code> object with no
     * recorded error messages.
     *
     * @param mapping The mapping used to select this instance
     * @param request The servlet request we are processing
     */
    public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
        ActionErrors oErrors = new ActionErrors();
        return oErrors;
    }

// --------------------------------------------------------- Properties Methods

    public int getTotalCurrentNumberOfCMPType() {
        return totalCurrentNumberOfCMPType;
    }

    public int getTotalCurrentNumberOfSBFType() {
        return totalCurrentNumberOfSBFType;
    }

    public int getCurrentNumberOfContainer() {
        return currentNumberOfContainer;
    }

    public int getTotalCurrentNumberOfBMPType() {
        return totalCurrentNumberOfBMPType;
    }

    public int getTotalCurrentNumberOfMDBType() {
        return totalCurrentNumberOfMDBType;
    }

    public int getTotalCurrentNumberOfSBLType() {
        return totalCurrentNumberOfSBLType;
    }

    public int getTotalCurrentNumberOfBeanType() {
        return totalCurrentNumberOfBeanType;
    }

    public void setTotalCurrentNumberOfCMPType(int totalCurrentNumberOfCMPType) {
        this.totalCurrentNumberOfCMPType = totalCurrentNumberOfCMPType;
    }

    public void setTotalCurrentNumberOfSBFType(int totalCurrentNumberOfSBFType) {
        this.totalCurrentNumberOfSBFType = totalCurrentNumberOfSBFType;
    }

    public void setCurrentNumberOfContainer(int currentNumberOfContainer) {
        this.currentNumberOfContainer = currentNumberOfContainer;
    }

    public void setTotalCurrentNumberOfBMPType(int totalCurrentNumberOfBMPType) {
        this.totalCurrentNumberOfBMPType = totalCurrentNumberOfBMPType;
    }

    public void setTotalCurrentNumberOfMDBType(int totalCurrentNumberOfMDBType) {
        this.totalCurrentNumberOfMDBType = totalCurrentNumberOfMDBType;
    }

    public void setTotalCurrentNumberOfSBLType(int totalCurrentNumberOfSBLType) {
        this.totalCurrentNumberOfSBLType = totalCurrentNumberOfSBLType;
    }

    public void setTotalCurrentNumberOfBeanType(int totalCurrentNumberOfBeanType) {
        this.totalCurrentNumberOfBeanType = totalCurrentNumberOfBeanType;
    }

    public int getTotalCurrentNumberOfEntityType() {
        return totalCurrentNumberOfEntityType;
    }

    public void setTotalCurrentNumberOfEntityType(int totalCurrentNumberOfEntityType) {
        this.totalCurrentNumberOfEntityType = totalCurrentNumberOfEntityType;
    }

}